Page MenuHomePhabricator

Enable VisualEditor for logged-out and newly registered users on German Wikipedia
Closed, ResolvedPublic8 Story Points

Tokens
"Love" token, awarded by johl."Yellow Medal" token, awarded by DerHexer."Love" token, awarded by AlexMonk-WMF."Like" token, awarded by MGChecker."Love" token, awarded by Jcornelius."Pterodactyl" token, awarded by MartinK."Love" token, awarded by Cirdan."Like" token, awarded by Luke081515."Love" token, awarded by Elitre.
Assigned To
Authored By
Gnom1, Feb 23 2016

Description

Please enable the VisualEditor on German Wikipedia for logged-out users ("IPs") and newly registered users. It is very important that nothing changes for already registered users. Community consensus has been reached through a vote. Please find a proposed schedule below. Patrollers and teahouse admins have been informed. Thank you!

  • 1 March (Wednesday): community vote ends at midnight (CET): community approves request (142 support, 32 oppose)
  • - 8 March (Tuesday): enable VisualEditor for newly registered users
  • - 15 March (Tuesday): enable VisualEditor for logged-out users ("IPs")
  • - 16 March (Wednesday): German Wikipedia turns 15 (yay!)

Technical tasks

Event Timeline

Gnom1 created this task.Feb 23 2016, 9:40 PM
Restricted Application added subscribers: JEumerus, StudiesWorld, Luke081515 and 2 others. · View Herald TranscriptFeb 23 2016, 9:40 PM

So, no gradual rollout for newly registered editors?

Gnom1 added a comment.Feb 23 2016, 9:49 PM

I asked other community members and they seemed to be hesitant to this. Maybe you can make the case for a gradual rollout again on the wiki.

Cirdan added a subscriber: PerfektesChaos.
Cirdan updated the task description. (Show Details)Feb 23 2016, 10:06 PM

Change 271712 had a related patch set uploaded (by Jforrester):
Enable VisualEditor for new accounts on the German Wikipedia

https://gerrit.wikimedia.org/r/271712

Change 271713 had a related patch set (by Jforrester) published:
Enable VisualEditor for IP users on the German Wikipedia

https://gerrit.wikimedia.org/r/271713

Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF set the point value for this task to 8.
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptFeb 24 2016, 1:19 AM
Jdforrester-WMF changed the task status from Open to Stalled.Feb 24 2016, 1:19 AM

This is now waiting for the end of the community vote.

Gradual rollouts are not very difficult (in this case), but I doubt that it would be necessary.

On the first day, the German Wikipedia will probably go from having about 21,000 active editors to about 21,050 active editors, and from about 65 editors using the visual editor (whether one or many times during that day) to about 80 or so. Such a small change, in absolute numbers, is not very likely to overwhelm the community.

Change 272926 had a related patch set uploaded (by Jforrester):
Enable VisualEditor state transitioning for accounts on the German Wikipedia

https://gerrit.wikimedia.org/r/272926

Gnom1 updated the task description. (Show Details)Mar 1 2016, 11:32 PM
Gnom1 added a subscriber: Jdforrester-WMF.
Jdforrester-WMF changed the task status from Stalled to Open.Mar 1 2016, 11:44 PM

Change 272926 merged by Alex Monk:
Enable VisualEditor state transitioning for accounts on the German Wikipedia

https://gerrit.wikimedia.org/r/272926

Jcornelius added a subscriber: Jcornelius.
Boshomi added a subscriber: Boshomi.Mar 2 2016, 7:20 PM
Cirdan added a comment.Mar 2 2016, 9:11 PM

The community was informed about the planned schedule at Wikipedia:Kurier.

Raymond added a subscriber: Raymond.Mar 2 2016, 9:40 PM
DerHexer added a subscriber: DerHexer.
johl awarded a token.Mar 3 2016, 4:36 PM

Change 271712 merged by jenkins-bot:
Enable VisualEditor for new accounts on the German Wikipedia

https://gerrit.wikimedia.org/r/271712

Change 271713 merged by jenkins-bot:
Enable VisualEditor for IP users on the German Wikipedia

https://gerrit.wikimedia.org/r/271713

Jdforrester-WMF removed a project: Patch-For-Review.

This is now complete, except for "16 March (Wednesday): German Wikipedia turns 15 (yay!)" :-)

Jdforrester-WMF closed this task as Resolved.Mar 16 2016, 11:22 AM
Jdforrester-WMF updated the task description. (Show Details)

Happy birthday, dewiki.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJun 14 2018, 7:24 PM